TLS API-Referenz
v1.6.2
Cancel TLS certificate order
Cancel a pending TLS certificate order. Use
/tls/certificate/{certificate_id}/order-cancel when an already issued order should be revoked in full.POST
/tls/certificate/{certificate_id}/cancel
TLSCertificatesByID
Authentifizierung
Parameter
Name
Typ
Format
Pflicht
Description
certificate_id
string
-
Pflicht
Public TLS certificate ID
Request Body
Optional cancellation note
tlsCertificateCancelRequesttlsCertificateCancelRequest
{
"note": "example"
}Felder
Name
Typ
Format
Pflicht
Description
note
string
-
Optional
Optional provider note stored with the cancellation request. If omitted, regfish sends a default note because the CA requires one for pending-order cancellations.
Request-Beispiel
POST
curl --request POST \
--url 'https://api.regfish.com/tls/certificate/7K9QW3M2ZT8HJ/cancel' \
--header 'x-api-key: YOUR_API_KEY' \
--header 'content-type: application/json' \
--data '{
"note": "example"
}'Responses
200
TLS certificate cancellation accepted
Response-Beispiel 200
{
"success": true,
"code": 0,
"response": {
"id": "7K9QW3M2ZT8HJ",
"status": "pending",
"common_name": "example",
"product": "example",
"provider": "digicert",
"dns_names": [
"example"
],
"action_required": false,
"pending_reason": "validation_pending",
"pending_message": "The TLS certificate order is waiting for domain validation.",
"completion_url": "",
"organization_id": null,
"certificate_pem_available": false
}
}400
Invalid request
Response-Beispiel 400
{
"success": false,
"message": "Invalid request",
"error": "Invalid request"
}401
Unauthorized
Response-Beispiel 401
{
"success": false,
"message": "Unauthorized",
"error": "Unauthorized"
}404
TLS certificate not found
Response-Beispiel 404
{
"success": false,
"message": "TLS certificate not found",
"error": "TLS certificate not found"
}409
Only pending TLS certificate orders can be cancelled
Response-Beispiel 409
{
"success": false,
"message": "Only pending TLS certificate orders can be cancelled",
"error": "Only pending TLS certificate orders can be cancelled"
}500
Unexpected error
Response-Beispiel 500
{
"success": false,
"message": "Unexpected error",
"error": "Unexpected error"
}502
Upstream TLS provider error
Response-Beispiel 502
{
"success": false,
"message": "Upstream TLS provider error",
"error": "Upstream TLS provider error"
}Verwandte Modelle
baseResult
baseResult
Error
Error
fqdn
Fully Qualified Domain Name (FQDN, ending with a period).
tlsCertificateCancelRequest
tlsCertificateCancelRequest
tlsCertificateDcvMethod
tlsCertificateDcvMethod
tlsCertificateId
Public TLS certificate ID
tlsCertificateOrderCancellationMode
tlsCertificateOrderCancellationMode
tlsCertificateOrganization
tlsCertificateOrganization
tlsCertificateProvider
tlsCertificateProvider
tlsCertificateReissueResponse
tlsCertificateReissueResponse
tlsCertificateReissueStatus
tlsCertificateReissueStatus
tlsCertificateResponse
tlsCertificateResponse
tlsCertificateRevocationScope
tlsCertificateRevocationScope
tlsCertificateStatus
tlsCertificateStatus
tlsOrganizationId
Public TLS organization ID
tlsOrganizationStatus
tlsOrganizationStatus
tlsValidation
tlsValidation
tlsValidationDnsRecord
tlsValidationDnsRecord
Community
Werden Sie ein Teil der Community
Das DNS API von regfish ist die perfekte Lösung für Entwickler, die ihre Domains und DNS-Zonen automatisieren möchten. Werden Sie Teil der Community und profitieren Sie von den Vorteilen der DNS-Automatisierung. Das DNS API steht jedem regfish-Kunden kostenlos zur Verfügung.